# Better Training Mode

A simple mod which allows you to practice combos against various DI schemes.

## Usage

* CPU level 2 = always block
* CPU level 3 = CPU level 0, no DI
* CPU level 4 = CPU level 0, DI left and down
* CPU level 5 = CPU level 0, DI left and up
* CPU level 6 = CPU level 0, DI right and down
* CPU level 7 = CPU level 0, DI right and up
* CPU level 8 = CPU level 0, random DI (includes no DI as an option)

By default, the CPU will always tech. To change this, go to the config file within the BepInEx folder (typically C:\Program Files (x86)\Steam\steamapps\common\Nickelodeon All-Star Brawl\BepInEx\config) and edit sjw.nick_better_training_mod.cfg. There is a field that says "CPU always techs = true" -- just change it to false to make them not tech :)

If the CPU techs, by default, they will tech randomly (left, right, or neutral). This is configurable in the settings if you'd like them to always tech a specific way.

By default, a clank sound will play when the CPU is hit during hitstun (indicating a combo). To change this, go to the config file within the BepInEx folder (typically C:\Program Files (x86)\Steam\steamapps\common\Nickelodeon All-Star Brawl\BepInEx\config) and edit sjw.nick_better_training_mod.cfg. There is a field that says "Sound effect plays when enemy is hit during hitstun = true" -- just change it to false to remove this :)

#### Notes
This unfortunately eliminates the actual CPU levels 2 through 8 in training mode.

# Changelog

v1.4.0: Added tech direction options for the CPU in the options.

v1.3.0: Removed the detection of DI to pick a direction, instead always hit the diagonal direction. This works around a bug where some hits, such as PTM's shine, were being calculated with the incorrect DI.

v1.2.0: Sound effect now plays when enemy is hit in hitstun.

v1.1.1: Random DI added, teching options added.

v1.0.0: First release